services:
    admin.eleve_user:
        class: App\Admin\EleveUserAdmin
        arguments: [~, App\Entity\User,~]
        tags:
            - { name: sonata.admin, manager_type: orm, group: admin, label: menu.Eleves }
        public: true

    admin.eleve_annee_scolaire:
        class: App\Admin\EleveAnneeScolaireAdmin
        arguments: [~, App\Entity\EleveAnneeScolaire, ~]
        calls:
            - [setTemplate, ['edit', 'admin/Eleve/edit.html.twig']]
        tags:
            - { name: sonata.admin, manager_type: orm, group: admin, label: Admission Élève , default: true }
        public: true

    admin.frere_et_soeur:
        class: App\Admin\FrereEtSoeurAdmin
        arguments: [~, App\Entity\FrereEtSoeur, ~]
        tags:
            - { name: sonata.admin, manager_type: orm, group: admin, label: Frere Et Soeur }
        public: true

    admin.eleve_list:
        class: App\Admin\EleveListAdmin
        arguments: [ ~, App\Entity\EleveAnneeScolaire, App\Controller\Admin\EleveListAdminController ]
        calls:
            - [setTemplate, ['edit', 'admin/Eleve/editeleve.html.twig']]
        tags:
            - { name: sonata.admin, manager_type: orm, group: admin, label: Élèves }
        public: true


